/**
 * @file Fichier de configuration Knex. Il spécifie la base de donnée à laquelle se connecter, son adresse, le nom 
 * d'un utilisateur sur le serveur qui a les droits appropriés, et son mot de passe.
 * 
 * Le fichier précise également où stocker les fichiers de migrations Knex ainsi que les _seeds_.
 * @author manifold
 * */

const path = require('path');

module.exports = {
    development: {
        client: 'pg',
        connection: {
            host: 'localhost',
            user: 'will',
            password: 'password',
            database: 'sigma_dev',
            charset: 'utf8'
        },
        pool: {
            min: 2,
            max: 10
        },
        migrations: {
            tableName: 'knex_migrations',
            directory: path.resolve('./db/migrations')
        },
        seeds: {
            directory: path.resolve('./db/seeds')
        }
    }
};
